Index: trunk/MagicSoft/Mars/mcamera/MCameraAUX.h
===================================================================
--- trunk/MagicSoft/Mars/mcamera/MCameraAUX.h	(revision 2553)
+++ trunk/MagicSoft/Mars/mcamera/MCameraAUX.h	(revision 2556)
@@ -15,5 +15,5 @@
     Bool_t fStatusFansFADC;  // Monitored status: o=off, 1=on, Cam.FADC.Fans_state
 public:
-    ClassDef(MCameraAUX, 0)
+    ClassDef(MCameraAUX, 1)
 };
 
Index: trunk/MagicSoft/Mars/mcamera/MCameraCalibration.h
===================================================================
--- trunk/MagicSoft/Mars/mcamera/MCameraCalibration.h	(revision 2553)
+++ trunk/MagicSoft/Mars/mcamera/MCameraCalibration.h	(revision 2556)
@@ -21,5 +21,5 @@
 
 public:
-    ClassDef(MCameraCalibration, 0)
+    ClassDef(MCameraCalibration, 1)
 };
 
Index: trunk/MagicSoft/Mars/mcamera/MCameraCooling.h
===================================================================
--- trunk/MagicSoft/Mars/mcamera/MCameraCooling.h	(revision 2553)
+++ trunk/MagicSoft/Mars/mcamera/MCameraCooling.h	(revision 2556)
@@ -29,5 +29,24 @@
 
 public:
-    ClassDef(MCameraCooling, 0)
+
+    Byte_t  GetStatus() const              { return fStatus;              }
+
+    Bool_t  GetStatusPressureHi() const    { return fStatusPressureHi;    }
+    Bool_t  GetStatusPressureLo() const    { return fStatusPressureLo;    }
+    Bool_t  GetStatusPump() const          { return fStatusPump;          }
+    Bool_t  GetStatusRefrigrerator() const { return fStatusRefrigrerator; }
+    Bool_t  GetStatusValve() const         { return fStatusValve;         }
+    Bool_t  GetStatusResistor() const      { return fStatusResistor;      }
+    Bool_t  GetStatusFans() const          { return fStatusFans;          }
+
+    Float_t GetTempCenter() const          { return fTempCenter;          }
+    Float_t GetTempWall() const            { return fTempWall;            }
+    Float_t GetTempOptLink() const         { return fTempOptLink;         }
+    Float_t GetTempWater() const           { return fTempWater;           }
+
+    Byte_t  GetHumWall() const             { return fHumWall;             }
+    Byte_t  GetHumCenter() const           { return fHumCenter;           }
+
+    ClassDef(MCameraCooling, 1)
 };
 
Index: trunk/MagicSoft/Mars/mcamera/MCameraHV.h
===================================================================
--- trunk/MagicSoft/Mars/mcamera/MCameraHV.h	(revision 2553)
+++ trunk/MagicSoft/Mars/mcamera/MCameraHV.h	(revision 2556)
@@ -26,5 +26,5 @@
 public:
     MCameraHV() : fHV(577) { }
-    ClassDef(MCameraHV, 0)
+    ClassDef(MCameraHV, 1)
 };
 
Index: trunk/MagicSoft/Mars/mcamera/MCameraLV.h
===================================================================
--- trunk/MagicSoft/Mars/mcamera/MCameraLV.h	(revision 2553)
+++ trunk/MagicSoft/Mars/mcamera/MCameraLV.h	(revision 2556)
@@ -17,6 +17,6 @@
     Bool_t  fRequestPowerSupply;        // Requested status: o=off, 1=on, blv_ps_status
 
-    Float_t  fStatusTemp;               // Measured status: o=off, 1=on, blv_temp
-    Float_t  fStatusHumidity;           // Measured status: o=off, 1=on, blv_RelativeHumidity
+    Float_t fTemp;                     // Measured status: o=off, 1=on, blv_temp
+    Byte_t  fHumidity;                 // Measured status: o=off, 1=on, blv_RelativeHumidity
 
     MCameraPowerSupply fPowerSupplyA;   // power supply camera part A
@@ -24,5 +24,5 @@
 
 public:
-    ClassDef(MCameraLV, 0)
+    ClassDef(MCameraLV, 1)
 };
 
Index: trunk/MagicSoft/Mars/mcamera/MCameraLid.h
===================================================================
--- trunk/MagicSoft/Mars/mcamera/MCameraLid.h	(revision 2553)
+++ trunk/MagicSoft/Mars/mcamera/MCameraLid.h	(revision 2556)
@@ -2,9 +2,11 @@
 #define MARS_MCameraLid
 
-#ifndef ROOT_TObject
-#include <TObject.h>
+// Derived from MParContainer instead of TObject
+// to supress writing fUniqueId and fBits
+#ifndef MARS_MParContainer
+#include <MParContainer.h>
 #endif
 
-class MCameraLid : public TObject
+class MCameraLid : public MParContainer
 {
     friend class MReportCamera;
@@ -17,5 +19,5 @@
      Byte_t fStatusMotor;      // 0=stopped, 1=opening, 2=closing
 public:
-    ClassDef(MCameraLid, 0)
+    ClassDef(MCameraLid, 1)
 };
 
Index: trunk/MagicSoft/Mars/mcamera/MCameraLids.h
===================================================================
--- trunk/MagicSoft/Mars/mcamera/MCameraLids.h	(revision 2553)
+++ trunk/MagicSoft/Mars/mcamera/MCameraLids.h	(revision 2556)
@@ -19,5 +19,5 @@
     Byte_t fStatus; // CaCo monitored lid status, Cam.LID_state [0-9]
 public:
-    ClassDef(MCameraLids, 0)
+    ClassDef(MCameraLids, 1)
 };
 
Index: trunk/MagicSoft/Mars/mcamera/MCameraPowerSupply.h
===================================================================
--- trunk/MagicSoft/Mars/mcamera/MCameraPowerSupply.h	(revision 2553)
+++ trunk/MagicSoft/Mars/mcamera/MCameraPowerSupply.h	(revision 2556)
@@ -18,8 +18,8 @@
      Float_t fCurrentPos12V;        // [A] current_pos12 (+12V)
      Float_t fCurrentNeg12V;        // [A] current_neg12 (-12V)
-     Float_t fCurrentOptLinkPos12V; // [V] current_opt_link_pos12 (+12V)
+     Float_t fCurrentOptLinkPos12V; // [A] current_opt_link_pos12 (+12V)
 
 public:
-    ClassDef(MCameraPowerSupply, 0)
+    ClassDef(MCameraPowerSupply, 1)
 };
 
